<?php

/*********************************************************************

 同人イベントタグクラウド表示プラグイン (2013/04/28)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_event_tagcloud()
{
	global $freo;

	//同人イベントタグ取得
	$stmt = $freo->pdo->query('SELECT id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_events WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$event_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($event_tags[$tag])) {
				$event_tags[$tag]++;
			} else {
				$event_tags[$tag] = 1;
			}
		}
	}

	ksort($event_tags, SORT_STRING);

	$data = '';
	foreach ($event_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//同人イベントタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/event_tagcloud.log', $data) === false) {
		freo_error('同人イベントタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/event_tagcloud.log に書き込めません。');
	}

	return;
}

?>
